{% from "nslcd/map.jinja" import nslcd_settings as nslcd with context %}

{% if nslcd.package_name %}
nslcd_package:
  pkg.installed:
    - name: {{ nslcd.package_name }}
{% endif %}

nslcd_conf:
  file.managed:
    - name: {{ nslcd.conf_path }}
    - user: {{ nslcd.conf_user }}
    - group: {{ nslcd.conf_group }}
    - mode: {{ nslcd.conf_mode }}
    - template: jinja
    - source: salt://nslcd/files/nslcd.conf.jinja
    {% if nslcd.package_name %}
    - require:
      - pkg: nslcd_package
    {% endif %}

nslcd_service:
  service.running:
    - name: {{ nslcd.service_name }}
    - enable: {{ nslcd.service_enable }}
    - watch:
      {% if nslcd.package_name %}
      - pkg: nslcd_package
      {% endif %}
      - file: nslcd_conf
